| Home | Libraries | People | FAQ | More

## Class template group_compare_type

boost::signals2::keywords::group_compare_type — A template keyword for signal_type.

## Synopsis

    // In header: <boost/signals2/signal_type.hpp>

    template<typename GroupCompare>
    class group_compare_type : public unspecified-type {
    };

## Description

This class is a template keyword which may be used to pass the wrapped `GroupCompare` template type to the signal_type metafunction as a named parameter.

The code for this class is generated by a calling a macro from the Boost.Parameter library: `BOOST_PARAMETER_TEMPLATE_KEYWORD(group_compare_type)`